# $Revision: 1.22 $, $Date: 2009/06/18 08:08:59 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# disabled by default - one test is interactive
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	SKey
Summary:	Crypt::SKey - Perl S/Key calculator
Summary(pl.UTF-8):	Crypt::SKey - perlowy kalkulator kluczy S/Key
Name:		perl-Crypt-SKey
Version:	0.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ddeb629a1ab1e66cd511e7807c3d8cda
URL:		http://search.cpan.org/dist/Crypt-SKey/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Digest-MD4
BuildRequires:	perl-Term-ReadKey
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module contains a simple S/Key calculator (as described in RFC
1760) implemented in Perl.

%description -l pl.UTF-8
Ten moduł zawiera prosty kalkulator do kluczy S/Key (zgodny z opisem
z RFC 1760), zaimplementowany w Perlu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -we 'WriteMakefile(NAME=>"Crypt::SKey",PL_FILES=>{})' \
	INSTALLDIRS=vendor
%{__make}

# disabled by default - one test is interactive
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Crypt/SKey.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-SKey.spec,v $
Revision 1.22  2009/06/18 08:08:59  amateja
- updated to 0.10

Revision 1.21  2008/07/27 22:31:16  arekm
- release 2

Revision 1.20  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.18  2006/07/26 23:03:23  glen
- 0.07, generic URL

Revision 1.17  2004/11/03 22:30:14  paladine
- formatting

Revision 1.16  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.15  2004/05/07 01:09:19  ankry
- rel. 3

Revision 1.14  2004/05/06 18:09:26  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/22 20:42:10  ankry
- bconds added

Revision 1.12  2004/04/19 20:14:26  ankry
- license fixes and unification

Revision 1.11  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 18:46:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/28 10:08:18  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.6  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.5  2003/02/18 22:48:22  ankry
- autoupdated to 0.06

Revision 1.4  2003/02/18 15:29:45  ankry
- massive attack: change CPAN URLs

Revision 1.3  2003/01/07 13:21:26  mis
- autoupdated to 0.05

Revision 1.2  2002/08/31 12:23:35  radek
- version 0.04, removed need for BRs

Revision 1.1  2002/07/31 20:55:52  qboosh
- new
